Zum Hauptinhalt springen
GET
Get Assets

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Abfrageparameter

vendor_id
string | null

Vendor ID.

collection_name
string | null

The collection name that the assets are associated with.

brand
string | null

The brand that the assets are associated with.

mimetype
enum<string> | null

The mimetype of the assets.

Verfügbare Optionen:
image/jpeg,
image/png,
image/gif,
image/webp,
text/html,
video/mp4,
video/quicktime,
application/json,
text/vtt
status
enum<string> | null

The approval status of the assets.

Verfügbare Optionen:
pending_upload,
pending_approval,
upload_error,
approved,
rejected
asset_ids
string[] | null

The list of asset ids.

next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

limit
integer
Standard:50

The maximum number of items to return per page.

Erforderlicher Bereich: 1 <= x <= 100

Antwort

Successful Response

hasMore
boolean
erforderlich

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

assets
AssetResponse · object[]
erforderlich

List of assets

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Beispiel:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="